print "__SAGE_BEGIN__304"
os.chdir("/Volumes/HOME/books/riemann_hypothesis/2006-08/sage_notebook/worksheets/sato_tate/cells/58")
def sato_tate_noacos(E, N):
    return [E.ap(p)/(2*sqrt(p)) for p in prime_range(N+1) if N%p != 0]

def graph_ellcurve(E, b=Integer(10), num=Integer(5000)):
    v = sato_tate_noacos(E, num)
    d, total_number_of_points = dist(v,b,-Integer(1),Integer(1))
    return graph(d, b, total_number_of_points,-Integer(1),Integer(1))
print "__SAGE_VARS__=%s"%_support_.variables(True)
print "__SAGE_END__304"
